Subject: Re: Regarding select() on PPC

From: Arnd Bergmann <[email-masked]>
Date: Tue, 23 Sep 2008 08:01:33 +0200

On Tuesday 23 September 2008, Benjamin Herrenschmidt wrote:
> On Tue, 2008-09-23 at 07:46 +0200, Arnd Bergmann wrote:
> > I would definitely switch over the ppc32 __NR_newselect implementation
> > to sys_select. For __NR_select, there is no correct solution, the three
> > options are the current ppc_select, the real sys_select or sys_ni_syscall.
> > Each of these is broken in different ways, but in practice it will never
> > be called anyway.
> > 
> > I love archeology.
> 
> Any idea when glibc got fixed ?
> 

No, sorry, I don't have a git history that I can search for that.
I have a strong guess that it would be the end of the last century
though, probably before 2.3.48, since the comment in there already
refers to legacy binaries.

	Arnd <><